Bug 455201 - array subscript is above array bounds warnings in various kernel drivers
array subscript is above array bounds warnings in various kernel drivers
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-13 19:32 EDT by Need Real Name
Modified: 2008-10-26 11:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-26 11:14:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-07-13 19:32:16 EDT
Description of problem:
The current kernel-2.6.26-0.131.rc9.git9.fc10 srpm reveals a number
of warnings for various kernel drivers. These errors include...

drivers/net/via-velocity.c: In function 'velocity_resume':
include/asm/io_64.h:261: warning: array subscript is above array bounds
include/asm/io_64.h:261: warning: array subscript is above array bounds
include/asm/io_64.h:261: warning: array subscript is above array bounds
drivers/scsi/lpfc/lpfc_sli.c: In function 'lpfc_sli_poll_fcp_ring':
drivers/scsi/lpfc/lpfc_sli.c:1369: warning: array subscript is above array bound
s
drivers/scsi/lpfc/lpfc_sli.c:1369: warning: array subscript is above array bound
s
drivers/scsi/lpfc/lpfc_sli.c: In function 'lpfc_sli_handle_fast_ring_event':
drivers/scsi/lpfc/lpfc_sli.c:1545: warning: array subscript is above array bound
s
drivers/scsi/lpfc/lpfc_sli.c:1545: warning: array subscript is above array bound
s
drivers/video/aty/atyfb_base.c: In function 'aty_bl_update_status':
drivers/video/aty/atyfb_base.c:167: warning: array subscript is above array boun
ds
drivers/video/aty/atyfb_base.c:152: warning: array subscript is above array boun
ds
drivers/net/wireless/ipw2200.c: In function 'ipw_ethtool_set_eeprom':
drivers/net/wireless/ipw2200.c:10597: warning: array subscript is above array bo
unds
drivers/net/wireless/ipw2200.c: In function 'ipw_load':
drivers/net/wireless/ipw2200.c:2663: warning: array subscript is above array bou
nds


Version-Release number of selected component (if applicable):
kernel-2.6.26-0.131.rc9.git9.fc10

How reproducible:
Always

Steps to Reproduce:
1. Install the kernel srpm for kernel-2.6.26-0.131.rc9.git9.fc10 and rebuild.
2. Look for "warning: array subscript is above array bounds" in the build log.

  
Actual results:
The warnings...

drivers/net/via-velocity.c: In function 'velocity_resume':
include/asm/io_64.h:261: warning: array subscript is above array bounds
include/asm/io_64.h:261: warning: array subscript is above array bounds
include/asm/io_64.h:261: warning: array subscript is above array bounds
drivers/scsi/lpfc/lpfc_sli.c: In function 'lpfc_sli_poll_fcp_ring':
drivers/scsi/lpfc/lpfc_sli.c:1369: warning: array subscript is above array bound
s
drivers/scsi/lpfc/lpfc_sli.c:1369: warning: array subscript is above array bound
s
drivers/scsi/lpfc/lpfc_sli.c: In function 'lpfc_sli_handle_fast_ring_event':
drivers/scsi/lpfc/lpfc_sli.c:1545: warning: array subscript is above array bound
s
drivers/scsi/lpfc/lpfc_sli.c:1545: warning: array subscript is above array bound
s
drivers/video/aty/atyfb_base.c: In function 'aty_bl_update_status':
drivers/video/aty/atyfb_base.c:167: warning: array subscript is above array boun
ds
drivers/video/aty/atyfb_base.c:152: warning: array subscript is above array boun
ds
drivers/net/wireless/ipw2200.c: In function 'ipw_ethtool_set_eeprom':
drivers/net/wireless/ipw2200.c:10597: warning: array subscript is above array bo
unds
drivers/net/wireless/ipw2200.c: In function 'ipw_load':
drivers/net/wireless/ipw2200.c:2663: warning: array subscript is above array bou
nds

...appear in the build log.

Expected results:
I would expect no array subscript is above array bounds warnings if the arrays
are of proper size in all of the kernel drivers.

Additional info:
Comment 1 Dave Jones 2008-08-01 10:31:04 EDT
reporting these upstream to linux-kernel@vger.kernel.org is probably the best
way to get the relevant developers attention.
Comment 2 Christopher D. Stover 2008-10-26 11:14:13 EDT
Thank you for the bug report.  At the moment,  the Fedora developers are busy fixing other issues and do not have time to work on this one.  The best way to make sure your problem will get looked on is to report it to the authors of the program. Most upstream authors use a bug tracking system like bugzilla, and more people who know the code will be looking at the bug report there.

The upstream bug tracking system to use is: 
http://bugzilla.kernel.org/enter_bug.cgi 

You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it, and look at these bugs:
http://bugzilla.kernel.org/show_bug.cgi?id=10588
http://bugzilla.kernel.org/show_bug.cgi?id=11322

Note You need to log in before you can comment on or make changes to this bug.